package com.dsic.gj_erp.controller.sy;


import com.dsic.gj_erp.bean.ResultBean;
import com.dsic.gj_erp.bean.sy.DmEmployee;
import com.dsic.gj_erp.service.sy.DmEmployeeService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * @version V1.0.0
 * @Title: DmEmployeeController
 * @Package com.dsic.xzerp.controller.sy
 * @Description: 管系制造员工查询专用controller
 * @author: 张恩铭
 * @date: 2021/4/2 9:06
 */
@RestController
@Api(tags = "管系制造员工查询专用controller")
@RequestMapping("/api/sy/ygcx")
public class DmEmployeeController1 {

    @Resource
    private DmEmployeeService dmEmployeeService;

    @PostMapping("/getcon")
    @ApiOperation("无like条件查询")
    public ResultBean<List<DmEmployee>> getByCon(@RequestBody DmEmployee dmEmployee){
        return new ResultBean<List<DmEmployee>>(this.dmEmployeeService.getByCondition(dmEmployee));
    }

    @PostMapping("/getcondefault")
    @ApiOperation("特定like条件查询")
    public ResultBean<List<DmEmployee>> getByConDefaultDeptCode(@RequestBody DmEmployee dmEmployee){
        return new ResultBean<>(this.dmEmployeeService.getByConditionDefaultDepartCode(dmEmployee));
    }

}
